org.apache.ignite.internal.processors.streamer

## Class GridStreamerResponse

- java.lang.Object
- - org.apache.ignite.plugin.extensions.communication.MessageAdapter
  - - org.apache.ignite.internal.processors.streamer.GridStreamerResponse

All Implemented Interfaces:
  Serializable

    public class GridStreamerResponse
    extends MessageAdapter

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`MessageAdapter.Type`

### Field Summary

### Fields inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`reader, readState`

### Constructor Summary

Constructors
Constructor and Description
`GridStreamerResponse()`
`GridStreamerResponse(IgniteUuid futId, byte[] errBytes)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte[]` `errorBytes()`
`IgniteUuid` `futureId()`
`boolean` `readFrom(ByteBuffer buf)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`setReader, skipRecovery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridStreamerResponse

    public GridStreamerResponse()

#### GridStreamerResponse

    public GridStreamerResponse(IgniteUuid futId,
                        @Nullable
                        byte[] errBytes)

Parameters:
  `futId` - Future ID.
  `errBytes` - Serialized error, if any.

### Method Detail

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### errorBytes

    public byte[] errorBytes()

Returns:
  Serialized error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in class `MessageAdapter`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in class `MessageAdapter`
Parameters:
  `buf` - Byte buffer.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in class `MessageAdapter`
Returns:
  Message type.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015